#include "demo_dlg.h"

#define IDM_OPEN        101
#define IDM_CLOSE       102
#define IDM_SAVE        103
#define IDM_SAVE_AS     104
#define IDM_SWAP        105
#define IDM_OTHER       106
#define IDM_SHOW_FRAMES 107
#define IDM_NO_SCRIPT   108
#define IDM_DEBUG       109
#define IDM_NO_INTERNET 110

#define MAX_WINDS       10

#define false           FALSE
#define true            TRUE
#define null            NULL

HANDLE hInst,hPrevInst;             // Stores the current and previous instances 
BOOL error_flag;

/*****************************************************************************
    Prototypes for the internal demo functions.
******************************************************************************/
int  CALLBACK _export DemoOpenDlg(HWND,UINT,WPARAM,LPARAM);
int  CALLBACK _export DemoSelectWin(HWND,UINT,WPARAM,LPARAM);
int  DemoInitMenu(HMENU);
int  DemoOther(HWND);
int  DemoPrint(HWND);
int  LoadNewFile(HWND,LPBYTE);
int  LocatePicture(HWND,LPBYTE);
int  OpenControl(HWND);
int  OurPrintf(LPBYTE,...);
int  PASCAL WinMain(HINSTANCE, HINSTANCE, LPSTR, int);
int  FAR PASCAL _export PrintCallback(HWND,HWND);
int  ReadFileIntoMemory(HWND);
int  SwapPicture(void);
int  SelectWindow(HWND,BOOL);
int  FormSubmission(HWND,int);
BOOL InitApplication(HINSTANCE);
BOOL InitInstance(HINSTANCE, int);
BOOL AssignIntValue(HWND,int,LPINT);
BOOL AssignLongValue(HWND,int,LPLONG);
BOOL CurrentPrinter(LPSTR,LPSTR,LPSTR);
BOOL SetDemoLong(HWND,int,long);
BOOL GetDemoLong(HWND,int,long *);
HDC  OpenCurPrinter(HWND);
LRESULT CALLBACK _export DemoWndProc(HWND,UINT,WPARAM,LPARAM);
void FarMove(LPSTR,LPSTR,UINT);
void HugeMemMove(char huge *,char huge *,UINT);

/*****************************************************************************
   The structure used by the demo program to hold the file name, style, size
   and location of the HTML windows
*****************************************************************************/
struct arg_list arg[MAX_WINDS];    // parameter structure to call ter function 


HWND hDemoWnd;                     // demo window handle

int CurWnd;                        // index into the current window
int FocusWnd;                      // index into the focus window
BOOL PrevDebugMode=FALSE;          // turn-on to get debug messages from TE

char PrevFile[128];
char DemoLine[241];                // temporary line space 
char FormData[2000];               // demo to extract the form data
char TextData[500];                // field text data
char FilePath[128];                // Initial file path

// ****These variables are used to demonstrate inserting text into an existing
// ****TER window.  The new text can be inesrted with specified fonts/color


// unit conversion macros
int  ResX;                         // pixels per inch in x direction
int  ResY;                         // pixels per inch in y direction

// save picture last picture id
int  PictWinNo;                    // window number for which the picture was inserted
HWND hPictWnd;                     // picture window handle
int  PictId;                       // picture id

#define    PixelToMmX(x)          MulDiv(x,25,ResX)
#define    PixelToMmY(x)          MulDiv(x,25,ResY)
